package se.zert.test;

import javax.annotation.*;
import javax.annotation.security.*;
import javax.ejb.*;

import org.jboss.security.annotation.SecurityDomain;

@Stateless
@Remote({Test.class})
@SecurityDomain("zert")
@DeclareRoles({"administrator", "producer", "consumer"})
public class TestBean implements Test {
  @Resource 
  private SessionContext context;

  @Override
  public boolean checkRole() {
    return context.isCallerInRole("administrator");    
  }
}
